Page MenuHomeFreeBSD

ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections {pending maintainer's approval, or Jan 12}
Needs ReviewPublic

Authored by yuri on Dec 31 2017, 12:32 AM.

Details

Reviewers
tcberner
adamw
bapt
bdrewery
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
portmgr
Summary

ports-mgmt/dialog4ports's maintainer is on vacation, but he said that the approval by bapt@ or bdrewery@ can replace his approval.

OPTIONS_SECTION_ORDER fills the functionality gap by allowing the port to order sections.
Currently, only the order of items w/in GROUP, MULTI, RADIO, and SINGLE section kinds are preserved.
Otherwise, dialog4ports establishes the arbitrary order between sections of different kinds.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224737

Test Plan

Testing I did:

  • Ran side-by-side with the current version on a few ports, both with a lot of options and a few options. Results were identical.
  • Ran on one particular port where I needed ordering. Result was as expected.
  • Noticed that when dialog4ports happens to fail, errors go unreported. Reported this to portmgr@: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224738

I don't think that the last item should prevent this patch from being committed, because this is a preexisting problem, and it can be fixed any time.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14723
Build 14844: arc lint + arc unit

Event Timeline

yuri created this revision.Dec 31 2017, 12:32 AM
yuri updated this revision to Diff 37270.Dec 31 2017, 12:39 AM

.

Updating D13701: ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections

ports-mgmt/dialog4ports's maintainer is on vacation, but he said that the approval by bapt@ or bdrewery@ can replace his approval.

yuri retitled this revision from ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections ports-mgmt/dialog4ports's maintainer is on vacation, but he said that the approval by bapt@ or bdrewery@ can replace his approval. to ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sectionsports-mgmt/dialog4ports's maintainer is on vacation, but he said that the approval by bapt@ or bdrewery@ can replace his approval..Dec 31 2017, 12:42 AM
yuri edited the summary of this revision. (Show Details)
yuri retitled this revision from ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sectionsports-mgmt/dialog4ports's maintainer is on vacation, but he said that the approval by bapt@ or bdrewery@ can replace his approval. to ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections.
yuri edited the summary of this revision. (Show Details)
yuri edited the summary of this revision. (Show Details)Dec 31 2017, 12:46 AM
yuri edited the test plan for this revision. (Show Details)Dec 31 2017, 1:50 AM
yuri updated this revision to Diff 37283.Dec 31 2017, 3:09 AM
yuri edited the test plan for this revision. (Show Details)

.

mat added a comment.Dec 31 2017, 10:04 AM

As this is a new feature (I am still not sure what it actually does) and not a fix, is there a reason this cannot wait a couple of weeks for the maintainer to come back from vacation (this is the holiday season, almost everyone is on vacation anyway) and be included in the next upstream release ?

yuri added a comment.Dec 31 2017, 10:11 AM
In D13701#286737, @mat wrote:

As this is a new feature (I am still not sure what it actually does) and not a fix, is there a reason this cannot wait a couple of weeks for the maintainer to come back from vacation (this is the holiday season, almost everyone is on vacation anyway) and be included in the next upstream release ?

I need it for the updated version of finance/dash. Otherwise, it will have this new option in it that isn't released yet, and will not look as intended.
I didn't rush him, he offered to delegate to others himself, which I did.

As for what it does, it orders sections in the options screen. Currently, it's impossible to fully control the order.

mat added a comment.Jan 1 2018, 4:49 PM

I do not think that this is really needed, I do not know what the use is exactly, but if you need to order different options sections because it is too hard to get otherwise, you have too many options, and you should drop some.

yuri added a comment.EditedJan 1 2018, 6:07 PM
In D13701#287068, @mat wrote:

I do not think that this is really needed, I do not know what the use is exactly, but if you need to order different options sections because it is too hard to get otherwise, you have too many options, and you should drop some.

One section

In D13701#287068, @mat wrote:

I do not think that this is really needed, I do not know what the use is exactly, but if you need to order different options sections because it is too hard to get otherwise, you have too many options, and you should drop some.

There aren't too many options in my use case, only about 12, but they don't look logical when arbitrarily ordered.
Besides, this is objectively a functionality gap in the ports framework. The order shouldn't suffer just because sections happen to have different section kinds (GROUP, MULTI, RADIO, and SINGLE).

yuri retitled this revision from ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections to ports-mgmt/dialog4ports: Implemented "OPTIONS_SECTION_ORDER" feature allowing to order sections {pending maintainer's approval, or Jan 12}.Jan 10 2018, 8:29 PM
yuri edited the summary of this revision. (Show Details)

What happens on the 12th?

yuri added a comment.Jan 11 2018, 6:47 AM

What happens on the 12th?

Maintainer timeout.

I will not approve a commit to such an essential part of the ports tree on a timeout reason.

You have to get the ok from portmgr@ and the maintainer, then you get mine :)

yuri added a comment.EditedJan 11 2018, 7:38 AM

I will not approve a commit to such an essential part of the ports tree on a timeout reason.

You have to get the ok from portmgr@ and the maintainer, then you get mine :)

Ok. But how do you get ok from somebody with an e-mail address when they don't answer e-mails? :-)

To be precise, the maintainer did answer before the New Year. He said that he was on vacation and promised to answer by the Jan 8th. Now January 8 has come and gone, and I've sent him 2 followup e-mails after Jan 8th. So far, there's no answer.

yuri updated this revision to Diff 38751.Feb 1 2018, 8:02 AM

Updated structure names in dialog4ports.

yuri added a comment.Feb 2 2018, 7:25 PM

The maintainer of ports-mgmt/dialog4ports promised to create a release with the patch.